Bug 827742 - SELinux is preventing npviewer.bin from 'append' accesses on the file restore.sxx.
SELinux is preventing npviewer.bin from 'append' accesses on the file restore...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: 909477 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-06-02 14:21 EDT by ashersilb
Modified: 2013-02-11 06:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-04 08:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ashersilb 2012-06-02 14:21:39 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.i686
time:           Sat 02 Jun 2012 11:20:46 AM PDT

:SELinux is preventing npviewer.bin from 'append' accesses on the file restore.sxx.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that npviewer.bin should be allowed append access on the restore.sxx file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                restore.sxx [ file ]
:Source                        npviewer.bin
:Source Path                   npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.i686 #1 SMP Tue May 22
:                              14:14:30 UTC 2012 i686 i686
:Alert Count                   6
:First Seen                    Fri 01 Jun 2012 12:54:46 AM PDT
:Last Seen                     Sat 02 Jun 2012 02:16:09 AM PDT
:Local ID                      ef921bf8-47a6-4dd2-ace8-90e841305930
:Raw Audit Messages
:type=AVC msg=audit(1338628569.406:213): avc:  denied  { append } for  pid=7095 comm="npviewer.bin" name="restore.sxx" dev="dm-2" ino=924817 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:Hash: npviewer.bin,mozilla_plugin_t,user_home_dir_t,file,append
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-06-04 08:57:38 EDT
You will need to run

# restorecon -Rv ~/

should fix labeling.
Comment 2 Miroslav Grepl 2013-02-11 06:22:47 EST
*** Bug 909477 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.